"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.closeLogger = exports.handleError = void 0;
const Logger_1 = require("../../modules/Logger");
function handleError(err) {
    Logger_1.default.error(err.message);
    process.exitCode = 1;
}
exports.handleError = handleError;
function closeLogger() {
    Logger_1.default.close();
}
exports.closeLogger = closeLogger;
//# sourceMappingURL=logger.js.map