"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commander = require("commander");
const configureHelpOptions_1 = require("../utils/configureHelpOptions");
commander
    .name('wiz component')
    .usage('<command> [options]')
    .command('build', 'Build component')
    .description('Build component. Specify command, please')
    .configureHelp({
    optionDescription: configureHelpOptions_1.capitalizeOptionDescription,
    subcommandDescription: configureHelpOptions_1.capitalizeSubcommandDescription,
    visibleCommands: configureHelpOptions_1.visibleCommandsNoHelp,
})
    .parse(process.argv);
//# sourceMappingURL=wiz-component.js.map