export declare enum ContentProgressStatuses {
    INITIAL = "initial",
    UPLOADING = "uploading",
    CREATING = "creating",
    CREATED = "created",
    FAILED = "failed",
    UPDATED = "updated"
}
export interface IContentProgressEvent {
    correlation_id?: string;
    original_name?: string;
    upload_status: ContentProgressStatuses;
    id?: string;
    hid?: string;
    version?: string;
    filename?: string;
    progress?: number;
    error_message?: string;
    cancelUploading?: () => any;
}
