import { ListrTask } from 'listr2';
import { UpdateOptions } from './interfaces';
export default class DependencyUpdater {
    private presentationPath;
    private passedDependencies;
    private readonly options;
    private dependencies;
    private updatedDependencies;
    private unavailableDependencies;
    constructor(presentationPath: string, passedDependencies?: string[], options?: UpdateOptions);
    run(): Promise<string>;
    getTasks(): ListrTask[];
    private getDependencies;
    private getDependenciesArray;
    private setDependenciesTags;
    private getLatestVersionTasks;
    private getDependencyTag;
    private installDependencies;
    private checkForUnavailableDependencies;
    private isNotEmptyUpdatedDependenciesList;
    private getUpdatedInformation;
}
