"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const Structure_1 = require("../../../modules/Structure");
function createChapterAction(id, options) {
    return __awaiter(this, void 0, void 0, function* () {
        const { baseDirectory, slides } = options;
        const structure = new Structure_1.default(baseDirectory);
        yield structure.createChapter(id, slides);
        yield structure.save();
    });
}
exports.default = createChapterAction;
//# sourceMappingURL=action.js.map