"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createActionByType = exports.createAction = void 0;
const content_types_1 = require("@ewizardjs/content-types");
const WizError_1 = require("../../../modules/WizError");
const getContentType_1 = require("../../getContentType");
const action_1 = require("./action");
exports.createAction = (0, getContentType_1.default)(createActionByType);
function createActionByType(type) {
    switch (type) {
        case content_types_1.ContentTypes.EDETAILER:
            return action_1.default;
        default:
            throw new WizError_1.WizError('SLIDE_DELETE_IMPOSSIBLE', type);
    }
}
exports.createActionByType = createActionByType;
//# sourceMappingURL=index.js.map