"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.thumbnailErrorsHandler = void 0;
const Logger_1 = require("../../modules/Logger");
const I18n_1 = require("../../modules/I18n");
function thumbnailErrorsHandler({ message }, contentType) {
    switch (message) {
        case 'PAGES_JSON_FILE_IS_INVALID':
            return Logger_1.default.error(I18n_1.default.error(message, contentType));
        default:
            return Logger_1.default.error(I18n_1.default.error('THUMBNAILS_CREATION_FAILED'));
    }
}
exports.thumbnailErrorsHandler = thumbnailErrorsHandler;
//# sourceMappingURL=thumbnailErrorsHandler.js.map