import { SettingsJson } from '@ewizardjs/settings';
import StaticServer from './../../modules/StaticServer';
import { SendWarningAndCancelCommand } from './interfaces';
import { FacadePuppeteer } from '@ewizardjs/blocks-renderer';
export declare function createServer(presentationPath: string, settings?: SettingsJson): Promise<{
    server: StaticServer;
    serverPort: number;
}>;
export declare function destroyBrowserAndServer(puppeteer: FacadePuppeteer, server: StaticServer): Promise<void>;
export declare function sendWarningAndCancelCommand(options: SendWarningAndCancelCommand): Promise<boolean>;
