export type FileHandler = (from: string, to: string) => (file: string) => Promise<void>;
interface MoveOptions {
    from: string;
    to: string;
}
export interface MoveFolderOptions extends MoveOptions {
    patterns: string[];
}
export interface MoveFilesOptions extends MoveOptions {
    files: string[];
    fileHandler?: FileHandler;
}
export {};
